//------------------------------------------------------------------------------ //---------------------Block UI Styler Callback Functions-------------------------- //------------------------------------------------------------------------------ //------------------------------------------------------------------------------ //Callback Name: initialize_cb //------------------------------------------------------------------------------ public void initialize_cb() { try { group0 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group0"); SeleElePart = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("SeleElePart"); group1 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group1"); eumMove = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("eumMove"); ptStart = (NXOpen.BlockStyler.SpecifyPoint)theDialog.TopBlock.FindBlock("ptStart"); ptEnd = (NXOpen.BlockStyler.SpecifyPoint)theDialog.TopBlock.FindBlock("ptEnd"); double_x = (NXOpen.BlockStyler.DoubleBlock)theDialog.TopBlock.FindBlock("double_x"); double_z = (NXOpen.BlockStyler.DoubleBlock)theDialog.TopBlock.FindBlock("double_z"); double_y = (NXOpen.BlockStyler.DoubleBlock)theDialog.TopBlock.FindBlock("double_y"); Selection.MaskTriple maskComp = new Selection.MaskTriple() { Type = 63, Subtype = 1, SolidBodySubtype = 0 }; Selection.MaskTriple[] masks = { maskComp }; SeleElePart.SetSelectionFilter(Selection.SelectionAction.ClearAndEnableSpecific, masks);//过滤只选择组件 } catch (Exception ex) { //---- Enter your exception handling code here ----- theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }
//------------------------------------------------------------------------------ //---------------------Block UI Styler Callback Functions-------------------------- //------------------------------------------------------------------------------ //------------------------------------------------------------------------------ //Callback Name: initialize_cb //------------------------------------------------------------------------------ public void initialize_cb() { try { face_select0 = (NXOpen.BlockStyler.FaceCollector)theDialog.TopBlock.FindBlock("face_select0"); group = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group"); elecName = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("elecName"); expressionQingGen = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionQingGen"); expressionDistance = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionDistance"); expressionJizhutai = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionJizhutai"); expressionDaojiao = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionDaojiao"); expressionDaoyuan = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionDaoyuan"); toggleAutoInteger = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("toggleAutoInteger"); expressionX = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionX"); expressionY = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionY"); expressionZ = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionZ"); group1 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group1"); enum0 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum0"); } catch (Exception ex) { //---- Enter your exception handling code here ----- theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }
//------------------------------------------------------------------------------ //---------------------Block UI Styler Callback Functions-------------------------- //------------------------------------------------------------------------------ //------------------------------------------------------------------------------ //Callback Name: initialize_cb //------------------------------------------------------------------------------ public void initialize_cb() { try { group1 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group1"); selectSteel = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("selectSteel"); toggleIsDistinguishSideElec = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("toggleIsDistinguishSideElec"); toggleSInsert = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("toggleSInsert"); enumSInsert = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enumSInsert"); selectionSInsert = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("selectionSInsert"); integerSInsertLayer = (NXOpen.BlockStyler.IntegerBlock)theDialog.TopBlock.FindBlock("integerSInsertLayer"); groupElec = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("groupElec"); selectElec = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("selectElec"); groupElecLayer = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("groupElecLayer"); integerElecStartLayer = (NXOpen.BlockStyler.IntegerBlock)theDialog.TopBlock.FindBlock("integerElecStartLayer"); integerElecEndLayer = (NXOpen.BlockStyler.IntegerBlock)theDialog.TopBlock.FindBlock("integerElecEndLayer"); group = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group"); sMODELNUMBER = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("sMODELNUMBER"); sMRNUMBER = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("sMRNUMBER"); eMATERAL = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("eMATERAL"); group2 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group2"); enum0 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum0"); coord_system0 = (NXOpen.BlockStyler.SpecifyCSYS)theDialog.TopBlock.FindBlock("coord_system0"); group21 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group21"); enumSelectedXX = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enumSelectedXX"); } catch (Exception ex) { //---- Enter your exception handling code here ----- theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }
//------------------------------------------------------------------------------ //---------------------Block UI Styler Callback Functions-------------------------- //------------------------------------------------------------------------------ //------------------------------------------------------------------------------ //Callback Name: initialize_cb //------------------------------------------------------------------------------ public void initialize_cb() { try { group = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group"); seleComp = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("seleComp"); group0 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group0"); MoldNumber = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("MoldNumber"); PartNumber = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("PartNumber"); EditionNumber = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("EditionNumber"); ClientNumber = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("ClientNumber"); enum0 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum0"); Selection.MaskTriple maskComp = new Selection.MaskTriple() { Type = 63, Subtype = 1, SolidBodySubtype = 0 }; Selection.MaskTriple[] masks = { maskComp }; seleComp.SetSelectionFilter(Selection.SelectionAction.ClearAndEnableSpecific, masks);//过滤只选择组件 } catch (Exception ex) { //---- Enter your exception handling code here ----- theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }
//------------------------------------------------------------------------------ //---------------------Block UI Styler Callback Functions-------------------------- //------------------------------------------------------------------------------ //------------------------------------------------------------------------------ //Callback Name: initialize_cb //------------------------------------------------------------------------------ public void initialize_cb() { try { group0 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group0"); enum0 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum0"); } catch (Exception ex) { //---- Enter your exception handling code here ----- theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }
//------------------------------------------------------------------------------ //---------------------Block UI Styler Callback Functions-------------------------- //------------------------------------------------------------------------------ //------------------------------------------------------------------------------ //Callback Name: initialize_cb //------------------------------------------------------------------------------ public void initialize_cb() { try { groupPart = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("groupPart"); selePart = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("selePart"); group = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group"); addOrModify = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("addOrModify"); workNumber = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("workNumber"); group2 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group2"); selePoint = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("selePoint"); group1 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group1"); button_X = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button_X"); button_Z = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button_Z"); button_Y = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button_Y"); addOrModify = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("addOrModify"); workNumber = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("workNumber"); #region 过滤 Selection.MaskTriple maskComp = new Selection.MaskTriple() { Type = 63, Subtype = 1, SolidBodySubtype = 0 }; Selection.MaskTriple[] masks = { maskComp }; selePart.SetSelectionFilter(Selection.SelectionAction.ClearAndEnableSpecific, masks);//过滤只选择组件 Selection.MaskTriple maskFace = new Selection.MaskTriple() { Type = 70, Subtype = 2, SolidBodySubtype = 20 }; Selection.MaskTriple maskPoint = new Selection.MaskTriple() { Type = 2, Subtype = 0, SolidBodySubtype = 0 }; Selection.MaskTriple[] masks1 = { maskFace, maskPoint }; selePoint.SetSelectionFilter(Selection.SelectionAction.ClearAndEnableSpecific, masks1);//过滤只选择点和面 #endregion } catch (Exception ex) { //---- Enter your exception handling code here ----- theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }
//------------------------------------------------------------------------------ //---------------------Block UI Styler Callback Functions-------------------------- //------------------------------------------------------------------------------ //------------------------------------------------------------------------------ //Callback Name: initialize_cb //------------------------------------------------------------------------------ public void initialize_cb() { try { selectCuprum = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("selectCuprum"); selectSteel = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("selectSteel"); txtDrfLayer = (NXOpen.BlockStyler.IntegerBlock)theDialog.TopBlock.FindBlock("txtDrfLayer"); selectTemplate0 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("selectTemplate0"); } catch (Exception ex) { //---- Enter your exception handling code here ----- theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }
//------------------------------------------------------------------------------ //Callback Name: initialize_cb //------------------------------------------------------------------------------ public void initialize_cb() { try { tabControl = theDialog.TopBlock.FindBlock("tabControl"); tabPage = theDialog.TopBlock.FindBlock("tabPage"); group5 = theDialog.TopBlock.FindBlock("group5"); enum02 = theDialog.TopBlock.FindBlock("enum02"); group1 = theDialog.TopBlock.FindBlock("group1"); enum0 = theDialog.TopBlock.FindBlock("enum0"); label01 = theDialog.TopBlock.FindBlock("label01"); button0 = theDialog.TopBlock.FindBlock("button0"); tabPage1 = theDialog.TopBlock.FindBlock("tabPage1"); group4 = theDialog.TopBlock.FindBlock("group4"); label02 = theDialog.TopBlock.FindBlock("label02"); integer0 = theDialog.TopBlock.FindBlock("integer0"); label03 = theDialog.TopBlock.FindBlock("label03"); integer01 = theDialog.TopBlock.FindBlock("integer01"); group3 = theDialog.TopBlock.FindBlock("group3"); face_select0 = theDialog.TopBlock.FindBlock("face_select0"); enum01 = theDialog.TopBlock.FindBlock("enum01"); button02 = theDialog.TopBlock.FindBlock("button02"); group = theDialog.TopBlock.FindBlock("group"); bodySelect0 = theDialog.TopBlock.FindBlock("bodySelect0"); vector0 = theDialog.TopBlock.FindBlock("vector0"); group2 = theDialog.TopBlock.FindBlock("group2"); double0 = theDialog.TopBlock.FindBlock("double0"); label0 = theDialog.TopBlock.FindBlock("label0"); toggle0 = theDialog.TopBlock.FindBlock("toggle0"); colorPicker0 = theDialog.TopBlock.FindBlock("colorPicker0"); toggle01 = theDialog.TopBlock.FindBlock("toggle01"); colorPicker01 = theDialog.TopBlock.FindBlock("colorPicker01"); toggle02 = theDialog.TopBlock.FindBlock("toggle02"); colorPicker02 = theDialog.TopBlock.FindBlock("colorPicker02"); toggle03 = theDialog.TopBlock.FindBlock("toggle03"); colorPicker03 = theDialog.TopBlock.FindBlock("colorPicker03"); toggle04 = theDialog.TopBlock.FindBlock("toggle04"); colorPicker04 = theDialog.TopBlock.FindBlock("colorPicker04"); toggle05 = theDialog.TopBlock.FindBlock("toggle05"); colorPicker05 = theDialog.TopBlock.FindBlock("colorPicker05"); button01 = theDialog.TopBlock.FindBlock("button01"); } catch (Exception ex) { theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }
//------------------------------------------------------------------------------ //---------------------Block UI Styler Callback Functions-------------------------- //------------------------------------------------------------------------------ //------------------------------------------------------------------------------ //Callback Name: initialize_cb //------------------------------------------------------------------------------ public void initialize_cb() { try { group = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group"); selectCuprum = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("selectCuprum"); strElecName = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("strElecName"); strElecSize = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("strElecSize"); strElecCuttingSize = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("strElecCuttingSize"); groupSElec = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("groupSElec"); selectTopFace = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("selectTopFace"); selectBaseFace = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("selectBaseFace"); selectBaseFacePoint = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("selectBaseFacePoint"); selectBaseFacePointEx = (NXOpen.BlockStyler.SpecifyPoint)theDialog.TopBlock.FindBlock("selectBaseFacePointEx"); group1 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group1"); scrolledWindow = (NXOpen.BlockStyler.ScrolledWindow)theDialog.TopBlock.FindBlock("scrolledWindow"); txtFINISHNUMBER = (NXOpen.BlockStyler.IntegerBlock)theDialog.TopBlock.FindBlock("txtFINISHNUMBER"); txtMIDDLENUMBER = (NXOpen.BlockStyler.IntegerBlock)theDialog.TopBlock.FindBlock("txtMIDDLENUMBER"); txtROUGHNUMBER = (NXOpen.BlockStyler.IntegerBlock)theDialog.TopBlock.FindBlock("txtROUGHNUMBER"); cboxMATNAME = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("cboxMATNAME"); cboxMMATNAME = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("cboxMMATNAME"); cboxRMATNAME = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("cboxRMATNAME"); cbbProdirection = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("cbbProdirection"); scrolledWindow1 = (NXOpen.BlockStyler.ScrolledWindow)theDialog.TopBlock.FindBlock("scrolledWindow1"); txtFINISHSPACE = (NXOpen.BlockStyler.DoubleBlock)theDialog.TopBlock.FindBlock("txtFINISHSPACE"); txtMIDDLESPACE = (NXOpen.BlockStyler.DoubleBlock)theDialog.TopBlock.FindBlock("txtMIDDLESPACE"); txtROUGHSPACE = (NXOpen.BlockStyler.DoubleBlock)theDialog.TopBlock.FindBlock("txtROUGHSPACE"); cbbElecType = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("cbbElecType"); cbbRock = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("cbbRock"); stringExp = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("stringExp"); stringExp1 = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("stringExp1"); scrolledWindow11 = (NXOpen.BlockStyler.ScrolledWindow)theDialog.TopBlock.FindBlock("scrolledWindow11"); cbbFSmoth = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("cbbFSmoth"); cbbMSmoth = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("cbbMSmoth"); cbbRSmoth = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("cbbRSmoth"); cbbChuckType = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("cbbChuckType"); cbbCAPSET = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("cbbCAPSET"); cbbRockShape = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("cbbRockShape"); cbbShape = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("cbbShape"); } catch (Exception ex) { //---- Enter your exception handling code here ----- theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }
//------------------------------------------------------------------------------ //---------------------Block UI Styler Callback Functions-------------------------- //------------------------------------------------------------------------------ //------------------------------------------------------------------------------ //Callback Name: initialize_cb //------------------------------------------------------------------------------ public void initialize_cb() { try { face_select0 = (NXOpen.BlockStyler.FaceCollector)theDialog.TopBlock.FindBlock("face_select0"); enum0 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum0"); expressionXPositive = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionXPositive"); expressionXNegative = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionXNegative"); expressionYPositive = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionYPositive"); expressionYNegative = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionYNegative"); expressionZPositive = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionZPositive"); expressionZNegative = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionZNegative"); expressionALL = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionALL"); } catch (Exception ex) { //---- Enter your exception handling code here ----- theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }
public void initialize_cb() { try { group = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group"); sSR = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("sSR"); eZF = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("eZF"); dMH = (NXOpen.BlockStyler.DoubleBlock)theDialog.TopBlock.FindBlock("dMH"); dRunnerD = (NXOpen.BlockStyler.DoubleBlock)theDialog.TopBlock.FindBlock("dRunnerD"); dOffset = (NXOpen.BlockStyler.DoubleBlock)theDialog.TopBlock.FindBlock("dOffset"); sTin = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("sTin"); sBin = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("sBin"); group1 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group1"); dCH = (NXOpen.BlockStyler.DoubleBlock)theDialog.TopBlock.FindBlock("dCH"); } catch (Exception ex) { theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }
//------------------------------------------------------------------------------ //---------------------Block UI Styler Callback Functions-------------------------- //------------------------------------------------------------------------------ //------------------------------------------------------------------------------ //Callback Name: initialize_cb //------------------------------------------------------------------------------ public void initialize_cb() { try { selection0 = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("selection0"); toggleJiaju = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("toggleJiaju"); selectionJiaju = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("selectionJiaju"); enum01 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum01"); groupGeomCopy = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("groupGeomCopy"); planeGeomcopy = (NXOpen.BlockStyler.SpecifyPlane)theDialog.TopBlock.FindBlock("planeGeomcopy"); groupRotation = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("groupRotation"); enumRotation = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enumRotation"); pointAxis = (NXOpen.BlockStyler.SpecifyPoint)theDialog.TopBlock.FindBlock("pointAxis"); vector0 = (NXOpen.BlockStyler.SpecifyVector)theDialog.TopBlock.FindBlock("vector0"); expressionAngle = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionAngle"); toggleRotationMove = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("toggleRotationMove"); toggleRotationPatter = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("toggleRotationPatter"); groupMove = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("groupMove"); enum0 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum0"); pointStart = (NXOpen.BlockStyler.SpecifyPoint)theDialog.TopBlock.FindBlock("pointStart"); pointEnd = (NXOpen.BlockStyler.SpecifyPoint)theDialog.TopBlock.FindBlock("pointEnd"); enumSelectAxis = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enumSelectAxis"); expressionDistance = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionDistance"); expressionDistanceX = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionDistanceX"); expressionDistanceY = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionDistanceY"); expressionDistanceZ = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionDistanceZ"); toggleMoveRotation = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("toggleMoveRotation"); toggleMovePatter = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("toggleMovePatter"); group = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group"); vectorPatter = (NXOpen.BlockStyler.SpecifyVector)theDialog.TopBlock.FindBlock("vectorPatter"); expressionPatterSum = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionPatterSum"); expressionPatterDistance = (NXOpen.BlockStyler.ExpressionBlock)theDialog.TopBlock.FindBlock("expressionPatterDistance"); } catch (Exception ex) { //---- Enter your exception handling code here ----- theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }
//------------------------------------------------------------------------------ //---------------------Block UI Styler Callback Functions-------------------------- //------------------------------------------------------------------------------ //------------------------------------------------------------------------------ //Callback Name: initialize_cb //------------------------------------------------------------------------------ public void initialize_cb() { try { group0 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group0"); GraphTypeSelect = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("GraphTypeSelect"); PointSelector = (NXOpen.BlockStyler.SuperPoint)theDialog.TopBlock.FindBlock("PointSelector"); ExportButton = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("ExportButton"); group = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group"); ImportButton = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("ImportButton"); string[] types = { "Gap or Size", "Curvature", "Random Points" }; GraphTypeSelect.SetEnumMembers(types); PointSelector.StepStatusAsString = "Optional"; ExportButton.Enable = false; } catch (Exception ex) { //---- Enter your exception handling code here ----- theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }
//------------------------------------------------------------------------------ //---------------------Block UI Styler Callback Functions-------------------------- //------------------------------------------------------------------------------ //------------------------------------------------------------------------------ //Callback Name: initialize_cb //------------------------------------------------------------------------------ public void initialize_cb() { try { group0 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group0"); type = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("type"); group = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group"); selectObject = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("selectObject"); manip = (NXOpen.BlockStyler.SpecifyOrientation)theDialog.TopBlock.FindBlock("manip"); vector = (NXOpen.BlockStyler.SpecifyVector)theDialog.TopBlock.FindBlock("vector"); group1 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group1"); boolOffset = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("boolOffset"); dimOffset = (NXOpen.BlockStyler.LinearDimension)theDialog.TopBlock.FindBlock("dimOffset"); group5 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group5"); positiveX = (NXOpen.BlockStyler.LinearDimension)theDialog.TopBlock.FindBlock("positiveX"); negativeX = (NXOpen.BlockStyler.LinearDimension)theDialog.TopBlock.FindBlock("negativeX"); positiveY = (NXOpen.BlockStyler.LinearDimension)theDialog.TopBlock.FindBlock("positiveY"); negativeY = (NXOpen.BlockStyler.LinearDimension)theDialog.TopBlock.FindBlock("negativeY"); negativeZ = (NXOpen.BlockStyler.LinearDimension)theDialog.TopBlock.FindBlock("negativeZ"); positiveZ = (NXOpen.BlockStyler.LinearDimension)theDialog.TopBlock.FindBlock("positiveZ"); radial = (NXOpen.BlockStyler.LinearDimension)theDialog.TopBlock.FindBlock("radial"); group2 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group2"); boolHide = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("boolHide"); boolUnite = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("boolUnite"); boolPlane = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("boolPlane"); boolSurface = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("boolSurface"); group3 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group3"); intTranslucency = (NXOpen.BlockStyler.IntegerBlock)theDialog.TopBlock.FindBlock("intTranslucency"); intLayer = (NXOpen.BlockStyler.IntegerBlock)theDialog.TopBlock.FindBlock("intLayer"); intColor = (NXOpen.BlockStyler.ObjectColorPicker)theDialog.TopBlock.FindBlock("intColor"); group4 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group4"); bttPreview = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("bttPreview"); strPreview = (NXOpen.BlockStyler.Label)theDialog.TopBlock.FindBlock("strPreview"); #region 择过滤 Selection.MaskTriple maskFace = new Selection.MaskTriple() //面 { Type = 70, Subtype = 2, SolidBodySubtype = UFConstants.UF_UI_SEL_FEATURE_ANY_FACE }; Selection.MaskTriple maskPoint = new Selection.MaskTriple() //点 { Type = 2, Subtype = 0, SolidBodySubtype = 0 }; Selection.MaskTriple maskCurve = new Selection.MaskTriple() //线 { Type = 3, Subtype = 0, SolidBodySubtype = 0 }; Selection.MaskTriple maskEdge = new Selection.MaskTriple() //边 { Type = 70, Subtype = 3, SolidBodySubtype = UFConstants.UF_UI_SEL_FEATURE_ANY_EDGE }; Selection.MaskTriple[] masks = { maskFace, maskPoint, maskCurve, maskEdge }; selectObject.SetSelectionFilter(Selection.SelectionAction.ClearAndEnableSpecific, masks);//过滤只选择点和面 #endregion SetLinearDimensionShow(false); radial.Show = false; } catch (Exception ex) { //---- Enter your exception handling code here ----- theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }
//------------------------------------------------------------------------------ //---------------------Block UI Styler Callback Functions-------------------------- //------------------------------------------------------------------------------ //------------------------------------------------------------------------------ //Callback Name: initialize_cb //------------------------------------------------------------------------------ public void initialize_cb() { try { group3 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group3"); button05 = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button05"); face_select0 = (NXOpen.BlockStyler.FaceCollector)theDialog.TopBlock.FindBlock("face_select0"); face_select01 = (NXOpen.BlockStyler.FaceCollector)theDialog.TopBlock.FindBlock("face_select01"); face_select02 = (NXOpen.BlockStyler.FaceCollector)theDialog.TopBlock.FindBlock("face_select02"); enum01 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum01"); button04 = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button04"); group1 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group1"); enum0 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum0"); group = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group"); label04 = (NXOpen.BlockStyler.Label)theDialog.TopBlock.FindBlock("label04"); separator02 = (NXOpen.BlockStyler.Separator)theDialog.TopBlock.FindBlock("separator02"); toggle0 = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("toggle0"); double0 = (NXOpen.BlockStyler.DoubleBlock)theDialog.TopBlock.FindBlock("double0"); toggle01 = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("toggle01"); double01 = (NXOpen.BlockStyler.DoubleBlock)theDialog.TopBlock.FindBlock("double01"); toggle02 = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("toggle02"); double02 = (NXOpen.BlockStyler.DoubleBlock)theDialog.TopBlock.FindBlock("double02"); separator01 = (NXOpen.BlockStyler.Separator)theDialog.TopBlock.FindBlock("separator01"); enum02 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum02"); enum03 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum03"); double03 = (NXOpen.BlockStyler.DoubleBlock)theDialog.TopBlock.FindBlock("double03"); separator0 = (NXOpen.BlockStyler.Separator)theDialog.TopBlock.FindBlock("separator0"); tree_control0 = (NXOpen.BlockStyler.Tree)theDialog.TopBlock.FindBlock("tree_control0"); button0 = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button0"); button01 = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button01"); button02 = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button02"); button03 = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button03"); button06 = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button06"); button07 = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button07"); button08 = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button08"); //------------------------------------------------------------------------------ //Registration of Treelist specific callbacks //------------------------------------------------------------------------------ //tree_control0.SetOnExpandHandler(new NXOpen.BlockStyler.Tree.OnExpandCallback(OnExpandCallback)); //tree_control0.SetOnInsertColumnHandler(new NXOpen.BlockStyler.Tree.OnInsertColumnCallback(OnInsertColumnCallback)); //tree_control0.SetOnInsertNodeHandler(new NXOpen.BlockStyler.Tree.OnInsertNodeCallback(OnInsertNodecallback)); //tree_control0.SetOnDeleteNodeHandler(new NXOpen.BlockStyler.Tree.OnDeleteNodeCallback(OnDeleteNodecallback)); //tree_control0.SetOnPreSelectHandler(new NXOpen.BlockStyler.Tree.OnPreSelectCallback(OnPreSelectcallback)); //tree_control0.SetOnSelectHandler(new NXOpen.BlockStyler.Tree.OnSelectCallback(OnSelectcallback)); //tree_control0.SetOnStateChangeHandler(new NXOpen.BlockStyler.Tree.OnStateChangeCallback(OnStateChangecallback)); //tree_control0.SetToolTipTextHandler(new NXOpen.BlockStyler.Tree.ToolTipTextCallback(ToolTipTextcallback)); //tree_control0.SetColumnSortHandler(new NXOpen.BlockStyler.Tree.ColumnSortCallback(ColumnSortcallback)); //tree_control0.SetStateIconNameHandler(new NXOpen.BlockStyler.Tree.StateIconNameCallback(StateIconNameCallback)); //tree_control0.SetOnBeginLabelEditHandler(new NXOpen.BlockStyler.Tree.OnBeginLabelEditCallback(OnBeginLabelEditCallback)); //tree_control0.SetOnEndLabelEditHandler(new NXOpen.BlockStyler.Tree.OnEndLabelEditCallback(OnEndLabelEditCallback)); //tree_control0.SetOnEditOptionSelectedHandler(new NXOpen.BlockStyler.Tree.OnEditOptionSelectedCallback(OnEditOptionSelectedCallback)); //tree_control0.SetAskEditControlHandler(new NXOpen.BlockStyler.Tree.AskEditControlCallback(AskEditControlCallback)); //tree_control0.SetOnMenuHandler(new NXOpen.BlockStyler.Tree.OnMenuCallback(OnMenuCallback));; //tree_control0.SetOnMenuSelectionHandler(new NXOpen.BlockStyler.Tree.OnMenuSelectionCallback(OnMenuSelectionCallback));; //tree_control0.SetIsDropAllowedHandler(new NXOpen.BlockStyler.Tree.IsDropAllowedCallback(IsDropAllowedCallback));; //tree_control0.SetIsDragAllowedHandler(new NXOpen.BlockStyler.Tree.IsDragAllowedCallback(IsDragAllowedCallback));; //tree_control0.SetOnDropHandler(new NXOpen.BlockStyler.Tree.OnDropCallback(OnDropCallback));; //tree_control0.SetOnDropMenuHandler(new NXOpen.BlockStyler.Tree.OnDropMenuCallback(OnDropMenuCallback)); //tree_control0.SetOnDefaultActionHandler(new NXOpen.BlockStyler.Tree.OnDefaultActionCallback(OnDefaultActionCallback)); //------------------------------------------------------------------------------ } catch (Exception ex) { //---- Enter your exception handling code here ----- theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }
//------------------------------------------------------------------------------ //---------------------Block UI Styler Callback Functions-------------------------- //------------------------------------------------------------------------------ //------------------------------------------------------------------------------ //Callback Name: initialize_cb //------------------------------------------------------------------------------ public void initialize_cb() { try { tabControl = (NXOpen.BlockStyler.TabControl)theDialog.TopBlock.FindBlock("tabControl"); tabPage = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("tabPage"); group5 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group5"); string0 = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("string0"); string01 = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("string01"); enum0 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum0"); separator0 = (NXOpen.BlockStyler.Separator)theDialog.TopBlock.FindBlock("separator0"); enum01 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum01"); string02 = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("string02"); separator01 = (NXOpen.BlockStyler.Separator)theDialog.TopBlock.FindBlock("separator01"); enum02 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum02"); string03 = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("string03"); separator02 = (NXOpen.BlockStyler.Separator)theDialog.TopBlock.FindBlock("separator02"); enum03 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum03"); string04 = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("string04"); separator03 = (NXOpen.BlockStyler.Separator)theDialog.TopBlock.FindBlock("separator03"); enum04 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum04"); string05 = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("string05"); separator04 = (NXOpen.BlockStyler.Separator)theDialog.TopBlock.FindBlock("separator04"); string06 = (NXOpen.BlockStyler.StringBlock)theDialog.TopBlock.FindBlock("string06"); button0 = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button0"); button01 = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button01"); tabPage1 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("tabPage1"); group = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group"); integer0 = (NXOpen.BlockStyler.IntegerBlock)theDialog.TopBlock.FindBlock("integer0"); integer01 = (NXOpen.BlockStyler.IntegerBlock)theDialog.TopBlock.FindBlock("integer01"); separator06 = (NXOpen.BlockStyler.Separator)theDialog.TopBlock.FindBlock("separator06"); enum05 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum05"); enum06 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum06"); group1 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group1"); toggle0 = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("toggle0"); separator07 = (NXOpen.BlockStyler.Separator)theDialog.TopBlock.FindBlock("separator07"); enum07 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum07"); integer02 = (NXOpen.BlockStyler.IntegerBlock)theDialog.TopBlock.FindBlock("integer02"); separator08 = (NXOpen.BlockStyler.Separator)theDialog.TopBlock.FindBlock("separator08"); button02 = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button02"); group2 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group2"); toggle01 = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("toggle01"); separator09 = (NXOpen.BlockStyler.Separator)theDialog.TopBlock.FindBlock("separator09"); enum09 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum09"); integer021 = (NXOpen.BlockStyler.IntegerBlock)theDialog.TopBlock.FindBlock("integer021"); separator010 = (NXOpen.BlockStyler.Separator)theDialog.TopBlock.FindBlock("separator010"); button03 = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button03"); group3 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group3"); toggle02 = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("toggle02"); enum011 = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enum011"); integer022 = (NXOpen.BlockStyler.IntegerBlock)theDialog.TopBlock.FindBlock("integer022"); separator011 = (NXOpen.BlockStyler.Separator)theDialog.TopBlock.FindBlock("separator011"); button04 = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button04"); button05 = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button05"); tabPage2 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("tabPage2"); group4 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group4"); toggle03 = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("toggle03"); button06 = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("button06"); _dataService.initialize_AttributeDataBinding(); _dataService.initialize_DrawingsDataBinding(); } catch (Exception ex) { //---- Enter your exception handling code here ----- theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }
//------------------------------------------------------------------------------ //---------------------Block UI Styler Callback Functions-------------------------- //------------------------------------------------------------------------------ //------------------------------------------------------------------------------ //Callback Name: initialize_cb //------------------------------------------------------------------------------ public void initialize_cb() { try { group0 = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group0"); selectCuprum = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("selectCuprum"); enumSelectTool = (NXOpen.BlockStyler.Enumeration)theDialog.TopBlock.FindBlock("enumSelectTool"); group = (NXOpen.BlockStyler.Group)theDialog.TopBlock.FindBlock("group"); drawingArea0 = (NXOpen.BlockStyler.DrawingArea)theDialog.TopBlock.FindBlock("drawingArea0"); toggle0 = (NXOpen.BlockStyler.Toggle)theDialog.TopBlock.FindBlock("toggle0"); btnAutoSelectPoint = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("btnAutoSelectPoint"); selectionPoint = (NXOpen.BlockStyler.SelectObject)theDialog.TopBlock.FindBlock("selectionPoint"); tree_control0 = (NXOpen.BlockStyler.Tree)theDialog.TopBlock.FindBlock("tree_control0"); btnUP = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("btnUP"); btnDown = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("btnDown"); btnRemove = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("btnRemove"); btnExport = (NXOpen.BlockStyler.Button)theDialog.TopBlock.FindBlock("btnExport"); //------------------------------------------------------------------------------ //Registration of Treelist specific callbacks //------------------------------------------------------------------------------ //tree_control0.SetOnExpandHandler(new NXOpen.BlockStyler.Tree.OnExpandCallback(OnExpandCallback)); //tree_control0.SetOnInsertColumnHandler(new NXOpen.BlockStyler.Tree.OnInsertColumnCallback(OnInsertColumnCallback)); //tree_control0.SetOnInsertNodeHandler(new NXOpen.BlockStyler.Tree.OnInsertNodeCallback(OnInsertNodecallback)); //tree_control0.SetOnDeleteNodeHandler(new NXOpen.BlockStyler.Tree.OnDeleteNodeCallback(OnDeleteNodecallback)); //tree_control0.SetOnPreSelectHandler(new NXOpen.BlockStyler.Tree.OnPreSelectCallback(OnPreSelectcallback)); //tree_control0.SetOnSelectHandler(new NXOpen.BlockStyler.Tree.OnSelectCallback(OnSelectcallback)); //tree_control0.SetOnStateChangeHandler(new NXOpen.BlockStyler.Tree.OnStateChangeCallback(OnStateChangecallback)); //tree_control0.SetToolTipTextHandler(new NXOpen.BlockStyler.Tree.ToolTipTextCallback(ToolTipTextcallback)); //tree_control0.SetColumnSortHandler(new NXOpen.BlockStyler.Tree.ColumnSortCallback(ColumnSortcallback)); //tree_control0.SetStateIconNameHandler(new NXOpen.BlockStyler.Tree.StateIconNameCallback(StateIconNameCallback)); //tree_control0.SetOnBeginLabelEditHandler(new NXOpen.BlockStyler.Tree.OnBeginLabelEditCallback(OnBeginLabelEditCallback)); //tree_control0.SetOnEndLabelEditHandler(new NXOpen.BlockStyler.Tree.OnEndLabelEditCallback(OnEndLabelEditCallback)); //tree_control0.SetOnEditOptionSelectedHandler(new NXOpen.BlockStyler.Tree.OnEditOptionSelectedCallback(OnEditOptionSelectedCallback)); //tree_control0.SetAskEditControlHandler(new NXOpen.BlockStyler.Tree.AskEditControlCallback(AskEditControlCallback)); //tree_control0.SetOnMenuHandler(new NXOpen.BlockStyler.Tree.OnMenuCallback(OnMenuCallback));; //tree_control0.SetOnMenuSelectionHandler(new NXOpen.BlockStyler.Tree.OnMenuSelectionCallback(OnMenuSelectionCallback));; //tree_control0.SetIsDropAllowedHandler(new NXOpen.BlockStyler.Tree.IsDropAllowedCallback(IsDropAllowedCallback));; //tree_control0.SetIsDragAllowedHandler(new NXOpen.BlockStyler.Tree.IsDragAllowedCallback(IsDragAllowedCallback));; //tree_control0.SetOnDropHandler(new NXOpen.BlockStyler.Tree.OnDropCallback(OnDropCallback));; //tree_control0.SetOnDropMenuHandler(new NXOpen.BlockStyler.Tree.OnDropMenuCallback(OnDropMenuCallback)); //tree_control0.SetOnDefaultActionHandler(new NXOpen.BlockStyler.Tree.OnDefaultActionCallback(OnDefaultActionCallback)); //------------------------------------------------------------------------------ } catch (Exception ex) { //---- Enter your exception handling code here ----- theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString()); } }